Subject: [Ips] iSNS transaction ID uniqueness

From: "Paul Hughes" <[email-masked]>
Date: Mon, 16 Jul 2007 12:04:44 -0600

Section 5.1.5 of RFC 4171 (iSNS) states:  The TRANSACTION ID MUST be set to a unique value for each concurrently outstanding request message.

For an iSCSI target registering with or querying an iSNS server, does the Transaction ID have to be unique for every message sent by any portal of the target (any message from the network entity) or does the Transaction ID only need to be unique for messages sent by a specific portal?

I'm mostly just curious what the intent is.  I can easily create entity-unique transaction IDs for cases where more than one target portal could be sending concurrent request messages to the server.

Thanks,
Paul

_______________________________________________
Ips mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ips

---

From: Victor Li <[email-masked]>
Date: Thu, 19 Jul 2007 20:51:51 +0800

The TRANSACTION ID will be used for validation of the received PDUs. 
Since one iSNSP message can be comprised by multiple PDUs, the PDUs that 
have the same TRANSACTION ID, sequential SEQUENCE IDs and correct flag 
bits will be a valid iSNSP message.

Hope this helps!

Victor

Paul Hughes wrote:
>
> Section 5.1.5 of RFC 4171 (iSNS) states:  The TRANSACTION ID MUST be 
> set to a unique value for each concurrently outstanding request message.
>
> For an iSCSI target registering with or querying an iSNS server, does 
> the Transaction ID have to be unique for every message sent by any 
> portal of the target (any message from the network entity) or does the 
> Transaction ID only need to be unique for messages sent by a specific 
> portal?
>
> I'm mostly just curious what the intent is.  I can easily create 
> entity-unique transaction IDs for cases where more than one target 
> portal could be sending concurrent request messages to the server.
>
> Thanks,
> Paul
>
> ------------------------------------------------------------------------
>

---

From: Victor Li <[email-masked]>
Date: Thu, 19 Jul 2007 20:56:04 +0800

follow up with previous message:

For your case, I think either way will be correct, as long as the 
TRANSACTION ID is guaranteed to be unique for each concurrently 
outstanding request message by your iSNS client.